#!/bin/sh
#
# Author: Petter Reinholdtsen <pere@hungry.com>
# Date:   2002-02-15
#
# Display changes in package composition from CD to CD

PKGFILE=pkgdeblist.txt

if test -n "$1"; then
  VER1=$1
else
  VER1=CD_RELEASE_1_0
fi

TMPDIR=/tmp

TMPFILE=$TMPDIR/foo.txt
TMPADD=$TMPDIR/foo-add.txt
TMPDEL=$TMPDIR/foo-del.txt

cvs diff -u -r $VER1 $PKGFILE |grep -v $PKGFILE > $TMPFILE

grep ^+ $TMPFILE | cut -d_ -f1|cut -c2- | sort > $TMPADD

grep ^- $TMPFILE | cut -d_ -f1|cut -c2- | sort > $TMPDEL

echo -n Added
comm -23 $TMPADD $TMPDEL | wc -l
comm -23 $TMPADD $TMPDEL | sed 's/^/  /'
echo

echo -n Changed
comm -12 $TMPADD $TMPDEL | wc -l
comm -12 $TMPADD $TMPDEL | sed 's/^/  /'
echo

echo -n Removed
comm -13 $TMPADD $TMPDEL | wc -l
comm -13 $TMPADD $TMPDEL | sed 's/^/  /'

rm -f $TMPFILE $TMPADD $TMPDEL
